BANDAGE(1)

NAME
Bandage - Bioinformatics Application for Navigating De novo Assembly Graphs Easily

SYNOPSIS
Bandage <command> [options]

DESCRIPTION
Bandage is a GUI program that allows users to interact with the assembly graphs made by de novo assemblers such as Velvet, SPAdes, MEGAHIT and others..

OPTIONS

  Commands

<blank>      Launch the Bandage GUI

load
    Launch the Bandage GUI and load a graph file

info
    Display information about a graph

image
    Generate an image file of a graph

querypaths
    Output graph paths for BLAST queries

reduce
    Save a subgraph of a larger graph

  Options

--help
    View this help message

--helpall
    View all command line settings

--version
    View Bandage version number

  Settings
The following options configure the Bandage settings that are available in the Bandage GUI.

Colours can be specified using hex values, with or without an alpha channel, (e.g. #FFB6C1 or #7FD2B48C) or using standard colour names (e.g. red, yellowgreen or skyblue).
    Note that hex colours will either need to be enclosed in quotes (e.g. "#FFB6C1") or have the hash symbol escaped (e.g. \#FFB6C1).

Graph scope

These settings control the graph scope. If the aroundnodes scope is used, then the --nodes option must also be used. If the aroundblast scope is used, a BLAST query must be given with the --query option

--scope <scope>
    Graph scope, from one of the following options: entire, aroundnodes, aroundblast, depthrange (default: entire)

--nodes <list>
    A comma-separated list of starting nodes for the aroundnodes scope (default: none)

--partial
    Use partial node name matching (default: exact node name matching)

--distance <int>
    The number of node steps away to draw for the aroundnodes and aroundblast scopes (0 to 100, default: 0)

--mindepth <float>
    The minimum allowed depth for the depthrange scope (0 to 1e+6, default: 10)

--maxdepth <float>
    The maximum allowed depth for the depthrange scope (0 to 1e+6, default: 100)

--double
    Draw graph in double mode (default: off)

Graph size

--nodelen <float>
    Node length per megabase (0 to 1e+6, default: auto)

--minnodlen <float>
    Minimum node length (1 to 100, default: 5)

--edgelen <float>
    Edge length (0.1 to 100, default: 5)

--edgewidth <float>
    Edge width (0.1 to 100, default: 1.5)

--doubsep <float>
    Double mode separation (0 to 100, default: 2)

Graph layout

--nodseglen <float>
    Node segment length (1 to 1000, default: 20)

--iter <int>
    Graph layout iterations (0 to 4, default: 2)

--linear
    Linear graph layout (default: off)

Graph appearance

--edgecol <col>
    Colour for edges (default: black)

--outcol <col
    Colour for node outlines (default: black)

--outline <float>
    Node outline thickness (0 to 100, default: 0)

--selcol <col>
    Colour for selections (default: blue)

--noaa
    Disable antialiasing (default: antialiasing on)

--singlearr
    Show node arrowheads in single mode (default: nodes are only displayed with arrowheads in double mode)

Text appearance

--textcol <col>
    Colour for label text (default: black)

--toutcol <col>
    Colour for text outline (default: white)

--toutline <float>
    Surround text with an outline with this thickness (0 to 10, default: 1.5)

--centre
    Node labels appear at the centre of the node (default: off, node labels appear over visible parts of nodes)

Node width

Node widths are determined using the following formula:

    a*b*((c/d)^e-1)+1

    a = average node width

    b = depth effect on width

    c = node depth

    d = mean depth

    e = power of depth effect on width

--nodewidth <float>
    Average node width (0.5 to 1000, default: 5)

--depwidth <float>
    Depth effect on width (0 to 1, default: 0.5)

--deppower <float>
    Power of depth effect on width (0 to 1, default: 0.5)

Node labels

--names
    Label nodes with name (default: off)

--lengths
    Label nodes with length (default: off)

--depth
    Label nodes with depth (default: off)

--blasthits
    Label BLAST hits (default: off)

--fontsize <int>
    Font size for node labels (1 to 100, default: 12)

Node colours

--colour <scheme>
    Node colouring scheme, from one of the following options: random, uniform, depth, blastsolid, blastrainbow (default: random if --query option not used, blastsolid if --query option used)

Random colour scheme

These settings only apply when the random colour scheme is used.

--ransatpos <int>
    Positive node saturation (0 to 255, default: 127)

--ransatneg <int>
    Negative node saturation (0 to 255, default: 127)

--ranligpos <int>
    Positive node lightness (0 to 255, default: 150)

--ranligneg <int>
    Negative node lightness (0 to 255, default: 90)

--ranopapos <int>
    Positive node opacity (0 to 255, default: 255)

--ranopaneg <int>
    Negative node opacity (0 to 255, default: 255)

Uniform colour scheme

These settings only apply when the uniform colour scheme is used.

--unicolpos <col>
    Positive node colour (default: firebrick)

--unicolneg <col>
    Negative node colour (default: maroon)

--unicolspe <col>
    Special node colour (default: green)

Depth colour scheme

These settings only apply when the depth colour scheme is used.

--depcollow <col>
    Colour for nodes with depth below the low depth value (default: black)

--depcolhi <col>
    Colour for nodes with depth above the high depth value (default: red)

--depvallow <float>
    Low depth value (0 to 1e+6, default: auto)

--depvalhi <float>
    High depth value (0 to 1e+6, default: auto)

BLAST search

--query <fastafile>
    A FASTA file of either nucleotide or protein sequences to be used as BLAST queries (default: none)

--blastp <param>
    Parameters to be used by blastn and tblastn when conducting a BLAST search in Bandage (default: none). Format BLAST parameters exactly as they would be used for blastn/tblastn on the command line, and enclose them in quotes.

--alfilter <int>
    Alignment length filter for BLAST hits. Hits with shorter alignments will be excluded (1 to 1e+6, default: off)

--qcfilter <float>
    Query coverage filter for BLAST hits. Hits with less coverage will be excluded (0 to 100, default: off)

--ifilter <float>
    Identity filter for BLAST hits. Hits with less identity will be excluded (0 to 100, default: off)

--evfilter <sci>
    E-value filter for BLAST hits. Hits with larger e-values will be excluded (1e-999 to 9.9e1, default: off)

--bsfilter <float>
    Bit score filter for BLAST hits. Hits with lower bit scores will be excluded (0 to 1e+6, default: off)

BLAST query paths

These settings control how Bandage searches for query paths after conducting a BLAST search.

--pathnodes <int>
    The number of allowed nodes in a BLAST query path (1 to 50, default: 6)

--minpatcov <float>
    Minimum fraction of a BLAST query which must be covered by a query path (0.3 to 1, default: 0.9)

--minhitcov <float>
    Minimum fraction of a BLAST query which must be covered by BLAST hits in a query path (0.3 to 1, default: 0.9)

--minmeanid <float>
    Minimum mean identity of BLAST hits in a query path (0 to 1, default: 0.5)

--maxevprod <sci>
    Maximum e-value product for all BLAST hits in a query path (1e-999 to 9.9e1, default: 1e-10)

--minpatlen <float>
    Minimum allowed relative path length as compared to the query (0 to 10000, default: 0.95)

--maxpatlen <float>
    Maximum allowed relative path length as compared to the query (0 to 10000, default: 1.05)

--minlendis <int>
    Minimum allowed length discrepancy (in bases) between a BLAST query and its path in the graph (-1e+6 to 1e+6, default: off)

--maxlendis <int>
    Maximum allowed length discrepancy (in bases) between a BLAST query and its path in the graph (-1e+6 to 1e+6, default: off)

SEE ALSO
Online Bandage help: https://github.com/rrwick/Bandage/wiki

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.